## sweep 0.1.0

=== DESCRIPTION ===
Package: sweep
Type: Package
Title: Tidy Tools for Forecasting
Version: 0.1.0
Date: 2017-07-03
Authors@R: c(
    person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut", "cre")),
    person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut"))
  )
Maintainer: Matt Dancho <mdancho@business-science.io>
Description: 
    Tidies up the forecasting modeling and prediction work flow, 
    extends the 'broom' package 
    with 'sw_tidy', 'sw_glance', 'sw_augment', and 'sw_tidy_decomp' functions 
    for various forecasting models,
    and enables converting 'forecast' objects to 
    "tidy" data frames with 'sw_sweep'.
URL: https://github.com/business-science/sweep
BugReports: https://github.com/business-science/sweep/issues
License: GPL (>= 3)
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.3.0)
Imports: broom (>= 0.4.2), devtools (>= 1.12.0), dplyr (>= 0.7.0),
        forecast (>= 8.0), lazyeval (>= 0.2.0), lubridate (>= 1.6.0),
        tibble (>= 1.2), tidyr (>= 0.6.1), timekit (>= 0.3.0)
Suggests: forcats, knitr, rmarkdown, testthat, purrr, readr, stringr,
        scales, tidyquant, tidyverse
RoxygenNote: 6.0.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2017-07-03 20:47:29 UTC; mdancho
Author: Matt Dancho [aut, cre],
  Davis Vaughan [aut]
Repository: CRAN
Date/Publication: 2017-07-03 23:05:05 UTC

## sweep 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: sweep
 Type: Package
 Title: Tidy Tools for Forecasting
-Version: 0.1.0
-Date: 2017-07-03
+Version: 0.2.0
+Date: 2017-07-25
 Authors@R: c(
     person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut", "cre")),
     person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut"))
@@ -23,14 +23,14 @@
 Depends: R (>= 3.3.0)
 Imports: broom (>= 0.4.2), devtools (>= 1.12.0), dplyr (>= 0.7.0),
         forecast (>= 8.0), lazyeval (>= 0.2.0), lubridate (>= 1.6.0),
-        tibble (>= 1.2), tidyr (>= 0.6.1), timekit (>= 0.3.0)
-Suggests: forcats, knitr, rmarkdown, testthat, purrr, readr, stringr,
-        scales, tidyquant, tidyverse
+        tibble (>= 1.2), tidyr (>= 0.6.1), timetk (>= 0.1.0)
+Suggests: forcats, knitr, rmarkdown, testthat, purrr, readr, robets,
+        stringr, scales, tidyquant, tidyverse
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-07-03 20:47:29 UTC; mdancho
+Packaged: 2017-07-26 01:27:18 UTC; mdanc
 Author: Matt Dancho [aut, cre],
   Davis Vaughan [aut]
 Repository: CRAN
-Date/Publication: 2017-07-03 23:05:05 UTC
+Date/Publication: 2017-07-26 03:41:23 UTC

## sweep 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: sweep
 Type: Package
 Title: Tidy Tools for Forecasting
-Version: 0.2.0
-Date: 2017-07-25
+Version: 0.2.1
+Date: 2018-03-03
 Authors@R: c(
     person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut", "cre")),
     person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut"))
@@ -29,8 +29,8 @@
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2017-07-26 01:27:18 UTC; mdanc
+Packaged: 2018-03-03 22:53:16 UTC; mdancho
 Author: Matt Dancho [aut, cre],
   Davis Vaughan [aut]
 Repository: CRAN
-Date/Publication: 2017-07-26 03:41:23 UTC
+Date/Publication: 2018-03-03 23:04:00 UTC

## sweep 0.2.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: sweep
 Type: Package
 Title: Tidy Tools for Forecasting
-Version: 0.2.1
+Version: 0.2.1.1
 Date: 2018-03-03
 Authors@R: c(
     person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut", "cre")),
     person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut"))
   )
-Maintainer: Matt Dancho <mdancho@business-science.io>
+Maintainer: ORPHANED
 Description: 
     Tidies up the forecasting modeling and prediction work flow, 
     extends the 'broom' package 
@@ -25,12 +25,15 @@
         forecast (>= 8.0), lazyeval (>= 0.2.0), lubridate (>= 1.6.0),
         tibble (>= 1.2), tidyr (>= 0.6.1), timetk (>= 0.1.0)
 Suggests: forcats, knitr, rmarkdown, testthat, purrr, readr, robets,
-        stringr, scales, tidyquant, tidyverse
+        stringr, scales, tidyquant, tidyverse, fracdiff
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-03-03 22:53:16 UTC; mdancho
+Packaged: 2018-08-19 08:39:17 UTC; hornik
 Author: Matt Dancho [aut, cre],
   Davis Vaughan [aut]
 Repository: CRAN
-Date/Publication: 2018-03-03 23:04:00 UTC
+Date/Publication: 2018-08-19 08:51:40 UTC
+X-CRAN-Original-Maintainer: Matt Dancho <mdancho@business-science.io>
+X-CRAN-Comment: Orphaned and corrected on 2018-08-19 as check problems
+        were not corrected despite reminders.

## sweep 0.2.2

=== DESCRIPTION ===
Package: sweep
Type: Package
Title: Tidy Tools for Forecasting
Version: 0.2.2
Date: 2019-10-08
Authors@R: c(
    person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut", "cre")),
    person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut"))
  )
Maintainer: Matt Dancho <mdancho@business-science.io>
Description: 
    Tidies up the forecasting modeling and prediction work flow, 
    extends the 'broom' package 
    with 'sw_tidy', 'sw_glance', 'sw_augment', and 'sw_tidy_decomp' functions 
    for various forecasting models,
    and enables converting 'forecast' objects to 
    "tidy" data frames with 'sw_sweep'.
URL: https://github.com/business-science/sweep
BugReports: https://github.com/business-science/sweep/issues
License: GPL (>= 3)
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.3.0)
Imports: broom (>= 0.4.2), dplyr (>= 0.7.0), forecast (>= 8.0),
        lazyeval (>= 0.2.0), lubridate (>= 1.6.0), tibble (>= 1.2),
        tidyr (>= 1.0.0), timetk (>= 0.1.0)
Suggests: forcats, knitr, rmarkdown, testthat, purrr, readr, robets,
        stringr, scales, tidyquant, tidyverse, fracdiff
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-10-08 12:45:22 UTC; mdancho
Author: Matt Dancho [aut, cre],
  Davis Vaughan [aut]
Repository: CRAN
Date/Publication: 2019-10-08 13:50:02 UTC

## sweep 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: sweep
 Type: Package
 Title: Tidy Tools for Forecasting
-Version: 0.2.2
-Date: 2019-10-08
+Version: 0.2.3
 Authors@R: c(
     person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut", "cre")),
     person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut"))
@@ -21,16 +20,16 @@
 Encoding: UTF-8
 LazyData: true
 Depends: R (>= 3.3.0)
-Imports: broom (>= 0.4.2), dplyr (>= 0.7.0), forecast (>= 8.0),
-        lazyeval (>= 0.2.0), lubridate (>= 1.6.0), tibble (>= 1.2),
-        tidyr (>= 1.0.0), timetk (>= 0.1.0)
+Imports: broom (>= 0.5.6), dplyr (>= 1.0.0), forecast (>= 8.0),
+        lubridate (>= 1.6.0), tibble (>= 1.2), tidyr (>= 1.0.0), timetk
+        (>= 2.1.0), rlang
 Suggests: forcats, knitr, rmarkdown, testthat, purrr, readr, robets,
         stringr, scales, tidyquant, tidyverse, fracdiff
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-10-08 12:45:22 UTC; mdancho
+Packaged: 2020-07-10 11:29:26 UTC; mdancho
 Author: Matt Dancho [aut, cre],
   Davis Vaughan [aut]
 Repository: CRAN
-Date/Publication: 2019-10-08 13:50:02 UTC
+Date/Publication: 2020-07-10 12:10:03 UTC

## sweep 0.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sweep
 Type: Package
 Title: Tidy Tools for Forecasting
-Version: 0.2.3
+Version: 0.2.5
 Authors@R: c(
     person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut", "cre")),
     person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut"))
@@ -22,14 +22,14 @@
 Depends: R (>= 3.3.0)
 Imports: broom (>= 0.5.6), dplyr (>= 1.0.0), forecast (>= 8.0),
         lubridate (>= 1.6.0), tibble (>= 1.2), tidyr (>= 1.0.0), timetk
-        (>= 2.1.0), rlang
-Suggests: forcats, knitr, rmarkdown, testthat, purrr, readr, robets,
-        stringr, scales, tidyquant, tidyverse, fracdiff
-RoxygenNote: 7.1.0
+        (>= 2.1.0), rlang, tidyverse, tidyquant
+Suggests: forcats, knitr, rmarkdown, testthat, purrr, readr, stringr,
+        scales, fracdiff
+RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2020-07-10 11:29:26 UTC; mdancho
+Packaged: 2023-07-04 13:01:45 UTC; mdanc
 Author: Matt Dancho [aut, cre],
   Davis Vaughan [aut]
 Repository: CRAN
-Date/Publication: 2020-07-10 12:10:03 UTC
+Date/Publication: 2023-07-06 12:40:02 UTC

## sweep 0.2.6

=== DESCRIPTION ===
Package: sweep
Title: Tidy Tools for Forecasting
Version: 0.2.6
Authors@R: c(
    person("Matt", "Dancho", email = "mdancho@business-science.io", role = c("aut", "cre")),
    person("Davis", "Vaughan", email = "dvaughan@business-science.io", role = c("aut"))
  )
Description: 
    Tidies up the forecasting modeling and prediction work flow, 
    extends the 'broom' package 
    with 'sw_tidy', 'sw_glance', 'sw_augment', and 'sw_tidy_decomp' functions 
    for various forecasting models,
    and enables converting 'forecast' objects to 
    "tidy" data frames with 'sw_sweep'.
URL: https://business-science.github.io/sweep/,
        https://github.com/business-science/sweep
BugReports: https://github.com/business-science/sweep/issues
License: GPL (>= 3)
Encoding: UTF-8
LazyData: true
Depends: R (>= 3.3.0)
Imports: broom (>= 0.5.6), dplyr (>= 1.0.0), forecast (>= 8.0), rlang,
        tibble (>= 1.2), timetk (>= 2.1.0)
Suggests: fracdiff, ggplot2, knitr, lubridate, purrr, readr, rmarkdown,
        scales, stringr, testthat (>= 2.0.0), tidyr (>= 1.0.0),
        tidyquant, zoo
RoxygenNote: 7.3.2
VignetteBuilder: knitr
Config/testthat/edition: 2
NeedsCompilation: no
Packaged: 2025-08-28 15:15:39 UTC; mdancho
Author: Matt Dancho [aut, cre],
  Davis Vaughan [aut]
Maintainer: Matt Dancho <mdancho@business-science.io>
Repository: CRAN
Date/Publication: 2025-08-28 19:00:02 UTC

## sweep 0.8.1

=== pixmaps/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

#EXTRA_DIST = edit.xpm ff.xpm horiz.xpm horiz_plus.xpm loop.xpm lowleft.xpm \
#	     lowright.xpm nexttrk.xpm noloop.xpm playpaus.xpm playpsel.xpm \
#	     prevtrk.xpm rew.xpm save.xpm stop.xpm sweep.png upleft.xpm \
#	     upright.xpm vol.xpm zoom_in.xbm zoom_in.xpm zoom_in_mask.xbm \
#	     zoom_out.xbm zoom_out.xpm zoom_out_mask.xbm

#pixmapdir = $(datadir)/pixmaps

#pixmap_DATA = sweep.png


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/sweep
pkglibdir = $(libdir)/sweep
pkgincludedir = $(includedir)/sweep

top_builddir = ..

ACLOCAL = aclocal-1.4
AUTOCONF = autoconf
AUTOMAKE = automake-1.4
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
AS = @AS@
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc
DATADIRNAME = share
DLLTOOL = @DLLTOOL@
ECHO = echo
EXEEXT = 
GENCAT = gencat
GLIBC21 = yes
GLIB_CFLAGS = -I/usr/include/glib-1.2 -I/usr/lib/glib/include
GLIB_CONFIG = /usr/bin/glib-config
GLIB_LIBS = -L/usr/lib -lglib
GMSGFMT = /usr/bin/msgfmt
GTK_CFLAGS = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -D_REENTRANT -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lgthread -lglib -lpthread -ldl -lXi -lXext -lX11 -lm
HAVE_GNOME_MOZ_REMOTE = yes
HAVE_LIB = @HAVE_LIB@
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
LIB = @LIB@
LIBICONV = 
LIBINTL = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIB = @LTLIB@
LTLIBICONV = 
LTLIBINTL = 
MAD_LIBS = -lmad
MAKEINFO = makeinfo
MKINSTALLDIRS = ./mkinstalldirs
OBJDUMP = @OBJDUMP@
OBJEXT = o
OGG_CFLAGS = -INONE/include
OGG_LIBS =  -logg
PACKAGE = sweep
PACKAGE_PLUGIN_DIR = ${exec_prefix}/lib/sweep
PKG_CONFIG = /usr/bin/pkg-config
POSUB = po
PTHREAD_LIBS = -lpthread
RANLIB = ranlib
SAMPLERATE_LIBS = -L/usr/local/lib -lsamplerate  
SNDFILE_LIBS = -L/usr/local/lib -lsndfile  
SPEEX_LIBS = -lspeex -lm
STRIP = strip
TDB_LIBS = -ltdb
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 0.8.0-k4
VORBISENC_LIBS = -lvorbisenc
VORBISFILE_LIBS = -lvorbisfile
VORBIS_CFLAGS = 
VORBIS_LIBS = -lvorbis -lm
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu pixmaps/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = pixmaps

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu pixmaps/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## sweep 0.9.3

=== debian/changelog ===
sweep (0.9.3-9build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:08:02 -0500

sweep (0.9.3-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
    + Add Vcs-* fields to use git packaging repo under Salsa Debian
      group.
  * debian/rules:
    + Use dh sequencer.
  * debian/sweep.menu: Dropped per tech-ctte's decision.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2019 16:57:15 -0500

sweep (0.9.3-8) unstable; urgency=low

  * QA upload.
  * Switch to dh-autoreconf, dropping/adjusting ugly patches to generated
    files.
  * Link with gmodule.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 May 2013 14:38:49 +0100

sweep (0.9.3-7) unstable; urgency=low

  * QA upload.
  * Add patch to build on GNU/Hurd (Closes: 677358)
    - Thanks to Samuel Thibault for the patch.
  * Add debian/watch file.
  * Remove duplicate Section from binary sweep.
  * Bump standards version to 3.9.4 (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sat, 11 May 2013 07:59:16 -0400

sweep (0.9.3-6) unstable; urgency=low

  * explicitly pass --disable-alsa to configure on non linux-any
    architectures as it otherwise exits with error.

 -- Bernhard R. Link <brlink@debian.org>  Tue, 08 Nov 2011 11:50:33 +0100

sweep (0.9.3-5) unstable; urgency=low

  * QA upload
  * switch to "3.0 (quilt)" source format
  * add support for build-arch, build-indep
  * use dpkg-buildflags
  * apply patch always using utf-8 (Closes: 616677, 350881)
  * apply patch to honor TMPDIR (Closes: 259386)
  * apply patch fixing cursor artefacts (Closes: 634679)
  * use 'linux-any' for conditional build depends as requested
    by Robert Millan (Closes: 634469)
  * remove unknown .l from manpage
  * do not give --enable-alsa to configure as that disables alsa
    (Closes: 567938, 586638)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 07 Nov 2011 18:45:23 +0100

sweep (0.9.3-4) unstable; urgency=low

  * QA upload.
  * Add patch to fix FTBFS with gold linker (closes: #556478).

 -- Alessio Treglia <alessio@debian.org>  Fri, 06 May 2011 11:38:37 +0200

sweep (0.9.3-3) unstable; urgency=low

  * Updating package to standards 3.8.2.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Aug 2009 01:05:00 +0200

sweep (0.9.3-2) unstable; urgency=low

  * Adding patch from Jens Seidel <jensseidel@users.sf.net> to correct
    German PO file (Closes: #313836).
  * Adding patch from Stepan Golosunov <stepan@golosunov.pp.ru> to fix
    crash when using multiple threads (Closes: #405809, #513829).

 -- Daniel Baumann <daniel@debian.org>  Thu,  5 Feb 2009 09:18:00 +0100

sweep (0.9.3-1) unstable; urgency=low

  * New maintainer (Closes: #503496).
  * New upstream release.
  * Redone debian packaging from scratch.

 -- Daniel Baumann <daniel@debian.org>  Thu, 18 Dec 2008 18:07:00 +0100

sweep (0.9.2-0.1) unstable; urgency=low

  * Porter NMU.
  * Remove depend on libesd-alsa0 so sweep can be installed on no-alsa
    systems.
  * New upstream version, closes: #431350
  * Fix watch file (from ubuntu), closes: #449759
  * Add homepage: field

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 17 Jun 2008 19:12:59 +0300

sweep (0.9.0-2.2) unstable; urgency=low

  * NMU.
  * debian/control: Don't Build-Depend unnecessarily on
    automake1.8. (Closes: #473357)

 -- Eric Dorland <eric@debian.org>  Sat, 03 May 2008 01:39:13 -0400

sweep (0.9.0-2.1) unstable; urgency=low

  * Porter NMU.
  * Don't build-depends on libasound2-dev on non-linux systems (Closes:
    #377890).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Jan 2008 01:11:36 +0100

sweep (0.9.0-2) unstable; urgency=low

  * Fixup typo in Depends (Closes: #348848)

 -- Anand Kumria <wildfire@progsoc.org>  Fri, 20 Jan 2006 08:21:45 +1100

sweep (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Enable ALSA (Closes: #344357)
  * Explicitly depend on libesd-alsa0 for ALSA goodness
  * Upload to unstable
  * Make ./configure executable (Closes: #346049)

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 18 Jan 2006 17:31:34 +1100

sweep (0.8.4+0.9.0svn301-2) experimental; urgency=low

  * Switch Build-Dep: to libgtk2.0-dev
  * Make ./configure executable (Closes: #346049)

 -- Anand Kumria <wildfire@progsoc.org>  Fri,  6 Jan 2006 00:34:39 +1100

sweep (0.8.4+0.9.0svn301-1) experimental; urgency=low

  * Start tracking SVN, and upload into experimental
  * Enable ALSA (Closes: #344357)
  * Switch to GTK+ 2.x

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  2 Jan 2006 22:01:11 +1100

sweep (0.8.4-2) unstable; urgency=low

  * Play the note A3 as intended (Closes: #324513)
  * Point to (and install) the correct xpm for the menu entry (Closes: #326845)

 -- Anand Kumria <wildfire@progsoc.org>  Tue,  6 Sep 2005 23:37:33 +1000

sweep (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Recommend some more LADSPA plugin packages

 -- Anand Kumria <wildfire@progsoc.org>  Fri,  2 Sep 2005 03:48:20 +1000

sweep (0.8.3-1) unstable; urgency=low

  * New upstream release (Closes: #262968)

 -- Anand Kumria <wildfire@progsoc.org>  Tue,  3 Aug 2004 02:50:10 +1000

sweep (0.8.1-5) unstable; urgency=low

  * Respin build.
  * Speex now correctly uses dh_makeshlibs, remove my workaround

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 13 Apr 2003 03:00:02 +1000

sweep (0.8.1-4) unstable; urgency=medium

  * Respin build.
  * Speex dependancies have changed (Closes: #187272, #187235)
  * Switch to using libsndfile1
  * Upgrade standards-version and debhelper requirements

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  5 Apr 2003 18:23:38 +1000

sweep (0.8.1-3) unstable; urgency=low

  * Add samplerate functionality by depending upon libsamplerate

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 23 Mar 2003 03:49:53 +1100

sweep (0.8.1-2) unstable; urgency=high

  * Respin build.


=== debian/control ===
Source: sweep
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 gettext,
 libasound2-dev [linux-any],
 libgtk2.0-dev,
 libmad0-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 libspeex-dev,
 libvorbis-dev,
Standards-Version: 4.4.1
Homepage: http://www.metadecks.org/software/sweep/
Vcs-Git: https://salsa.debian.org/debian/sweep.git
Vcs-Browser: https://salsa.debian.org/debian/sweep

Package: sweep
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 cmt,
 fil-plugins,
 ladspa-plugin,
 mcp-plugins,
 swh-plugins,
 tap-plugins,
Description: Audio editor and live playback tool
 Sweep is an audio editor and live playback tool. It supports many music and
 voice formats including WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel
 editing and LADSPA effects plugins.

Package: sweep-dev
Section: devel
Architecture: all
Depends:
 sweep (>= ${source:Version}),
 ${misc:Depends},
Description: Audio editor and live playback tool (development)
 Sweep is an audio editor and live playback tool. It supports many music and
 voice formats including WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel
 editing and LADSPA effects plugins.
 .
 This package contains the development files for Sweep plugins.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
DPKG_EXPORT_BUILDTOOLS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    $(ALSA_FLAGS)

override_dh_missing:
	dh_missing --fail-missing
